﻿#version 330
out vec4 outputColor;

in vec4 vertexColor;
in vec2 texCoord;

uniform sampler2D texture1;

void main(void)
{
    float obj = texture(texture1, texCoord).r;
    outputColor = vec4(vertexColor.r, vertexColor.g, vertexColor.b, vertexColor.a*obj);
}