﻿#version 330
out vec4 outputColor;

in vec2 texCoord;

uniform sampler2D bob;
uniform sampler2D smith;

void main(void)
{
    float obj = texture(bob, texCoord).r;
    vec4 text = texture(smith, texCoord);
    outputColor = vec4(text.r, text.g, text.b, text.a*obj);
}